.block-articles {
  grid-template-columns: repeat(var(--desktop-columns),1fr);
  gap:15px;
  display: grid;
  width:100%;
}

.block-articles > li {
  flex-shrink: 0;
  scroll-snap-align: start;
}

@media (max-width: 959px) {
  .block-articles {
    width: calc(100% + var(--page-padding) * 2);
    padding-inline: var(--page-padding);
    margin-inline: calc(-1 * var(--page-padding));
    overflow-y: hidden;
    scroll-padding-inline: var(--page-padding);
  }
}

@media(max-width:768px){
  .block-articles{
    grid-template-columns: repeat(1,1fr);
  }
  .block-articles{
    gap:6.6667vw;
  }
}